Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Impala parcel not available for CentOS 7

Solved Go to solution

Impala parcel not available for CentOS 7

New Contributor

I have installed CM 5.11.1 on CentOS 7 without any issue.

Then installed Kudu from parcels.

Everything was working fine until wanted to install Impala.

On parcels page next to Impala, it says "Impala is not supported for RHEL7".

That forced me to create another group of hosts running CentOS 6. Of course there are other issues with CentOS 6 about dns reslution which is whole another story and deserves another topic.

 

Can someone please confirm that Impala is not supported on RHEL7 (CentOS 7) ?

 

Note: I am using Google Cloud. So I have to find an intersection between parcels provided by Cloudera and Google Cloud images. This leaves me ony 2 options: CentOS6 and 7.

2 ACCEPTED SOLUTIONS

Accepted Solutions

Re: Impala parcel not available for CentOS 7

Champion

Refer the below url fo impala version in CDH 5.11.1 it is impala-2.8.0+cdh5.11.1+0

https://www.cloudera.com/documentation/enterprise/release-notes/topics/cdh_vd_cdh_package_tarball_51...

 

The kernel version that you are pointing does have a SIGBUS JRE issue The latest kernel update causes a JRE CRASH ( JAVA STACK ). 

 

Refer the below link for more information about this . 

 

http://community.cloudera.com/t5/Cloudera-Manager-Installation/Impala-Catalog-Server-supervisor-perm...

Highlighted

Re: Impala parcel not available for CentOS 7

Explorer

I found this discussion and noticed that the error  "Impala is not supported for RHEL7" can appear in CM 5.11 if you try to install Impala via parcel. Since 2015 and on, Impala is included in the main CDH parcel, and is simply added as a service to the cluster.  If you try to add via parcel on RHEL7 (or centos7), you are in effect trying to add an old version (2.0 or earlier) of Impala, and in that case, the statement  "Impala is not supported for RHEL7" is actually true. 

 

I expect this misleading error message will occur for any attempt on any CM ver. to add Impala via parcels on RHEL7.

 

I hope this clarification helps someone.

 

4 REPLIES 4

Re: Impala parcel not available for CentOS 7

Champion

I belive that is related to the latest SIGBUS JRE error and impala bug in JIRA 

whats the kernel version you are ruining ? 

 

i think you are runining Kernel version  - 3.10.0-514.21.2.el7.x86_64

 

impala bug - https://issues.apache.org/jira/browse/IMPALA-5578 

 

 

 visit the below url it  says Centos 7 is not supported . 

 

https://www.cloudera.com/downloads/manager/5-11-1.html

 

let me know if you need more  information 

Re: Impala parcel not available for CentOS 7

New Contributor

The link you provided (https://www.cloudera.com/downloads/manager/5-11-1.html) says "RHEL / CentOS / OEL 7.0 is not supported".

 

Bu in the same page, it says "7.3, 7.2, 7.1, 6.8, 6.7, 6.6, 6.5, 6.4, 5.11, 5.10, 5.7" supported.

 

I'm using 7.3:

$ cat /etc/centos-release
CentOS Linux release 7.3.1611 (Core) 

Kernel version:

$ uname -r
3.10.0-514.21.2.el7.x86_64

The bug you mentionel is about Impala 2.7 which is not available for Cloudera Manager.

The latest Impala parcel for Cloudera Manager is 2.1 currently.

 

If Impala is not supported on CentOS 7, I would expect it to be clearly stated on https://www.cloudera.com/downloads/manager/5-11-1.html

Re: Impala parcel not available for CentOS 7

Champion

Refer the below url fo impala version in CDH 5.11.1 it is impala-2.8.0+cdh5.11.1+0

https://www.cloudera.com/documentation/enterprise/release-notes/topics/cdh_vd_cdh_package_tarball_51...

 

The kernel version that you are pointing does have a SIGBUS JRE issue The latest kernel update causes a JRE CRASH ( JAVA STACK ). 

 

Refer the below link for more information about this . 

 

http://community.cloudera.com/t5/Cloudera-Manager-Installation/Impala-Catalog-Server-supervisor-perm...

Highlighted

Re: Impala parcel not available for CentOS 7

Explorer

I found this discussion and noticed that the error  "Impala is not supported for RHEL7" can appear in CM 5.11 if you try to install Impala via parcel. Since 2015 and on, Impala is included in the main CDH parcel, and is simply added as a service to the cluster.  If you try to add via parcel on RHEL7 (or centos7), you are in effect trying to add an old version (2.0 or earlier) of Impala, and in that case, the statement  "Impala is not supported for RHEL7" is actually true. 

 

I expect this misleading error message will occur for any attempt on any CM ver. to add Impala via parcels on RHEL7.

 

I hope this clarification helps someone.

 

Don't have an account?
Coming from Hortonworks? Activate your account here